
%define fversion %{version}

%define wxver		3.0.3.1
%define wxvershort	3.0

%define use_builtin_wxgtk	1
%{?_with_builtin_wxgtk: %global use_builtin_wxgtk 1}
%{?_without_builtin_wxgtk: %global use_builtin_wxgtk 0}

Summary:	Free Audio Editor With Effects/Analysis Tools

Name:		audacity
Version:	2.2.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		http://audacityteam.org/
Source0:	http://www.fosshub.com/Audacity.html/%{name}-minsrc-%{fversion}%{?prel}.tar.xz
Source1:	https://github.com/wxWidgets/wxWidgets/releases/download/v%{wxver}/wxWidgets-%{wxver}.tar.bz2
Patch0:		audacity-2.0.1-desktopentry.patch
Patch6:		audacity-2.0.4-alsa-by-default.patch
Patch7:		audacity-2.1.3-wxgtk%{wxvershort}.patch
Patch8:		audacity-2.1.3-l10n-it-fixtypo.patch
Patch9:		audacity-2.1.3-widgets-create-room.patch
Patch1006:	0006-Ffix-wx-assert-in-debug-build.patch
Patch1007:	audacity-2.1.2-workaround-wxwidgets-fit-recovery.patch
Patch1008:	audacity-2.1.3-wxwidgets-fix-gui-projectrate.patch
#
BuildRequires:	autoconf2.5
BuildRequires:	cmake
BuildRequires:	fftw-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	libalsa-devel
BuildRequires:	libflac++-devel
BuildRequires:	libjack-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libportaudio-devel
BuildRequires:	soundtouch-devel
BuildRequires:	speex-devel
BuildRequires:	twolame-devel
BuildRequires:	wxgtku3.0-devel
BuildRequires:	zlib-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	libexpat-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	lv2-devel 
BuildRequires:	suil-devel
BuildRequires:	lilv-devel
BuildRequires:	zip

%if %{use_builtin_wxgtk}
BuildRequires:	bakefile
BuildRequires:  jpeg-devel
BuildRequires:  tiff-devel
BuildRequires:  expat-devel
BuildRequires:  zlib1-devel
BuildRequires:  libgstreamer1.0-devel
BuildRequires:  libgstreamer-plugins-base1.0-devel
BuildRequires:  libpng-devel 
BuildRequires:  libxxf86vm-devel
BuildRequires:  mesa-devel    
BuildRequires:  libgtk+3.0-devel 
BuildRequires:  webkitgtk3-devel
BuildRequires:  libmesaglu1-devel
BuildRequires:  libsm-devel  
BuildRequires:  libnotify-devel
BuildRequires:  libmspack-devel
#BuildRequires:  libgnomeprintui2-2-devel 
BuildRequires:  libcppunit-devel 
%endif

#--------------------------------
Requires:	wxgtk
Requires:	%{_lib}expat1
Requires:	%{_lib}portaudio2
Requires:	%{_lib}lame0
#--------------------------------

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%description -l de
Audacity ist ein innovativer graphischer Audio-Editor. 
Die Hauptziele in der Entwicklung sind Geschwindigkeit und Plattformunabhängigkeit. 
(Es verwendet das wxWindows-Toolkit und wird unter Linux, Windows, MacOS 9, MacOS 
X und FreeBSD voll unterstützt.) Neben der Unterstützung von beliebig vielen 
Tonspuren werden verschiedene Dateiformate, unter anderem WAV, AIFF, MP3 und 
OggVorbis, unterstützt. 
Zu weiteren Informationen siehe http://audacity.sourceforge.net/.



%prep
%setup -q -n %{name}-minsrc-%{fversion} -a 1
#patch0 -p1 -b .desktopentry
%patch6 -p1 -b .alsa-by-default
%patch7 -p1 -b .wx31
#%patch8 -p1 -b .fixita
%patch9 -p1 -b .room
#%patch1006 -p1
%patch1007 -p1
#%patch1008 -p1

chmod 644 *.txt
aclocal -I m4
autoconf

pushd lib-src/lib-widget-extra
aclocal -I m4
autoconf
popd

%if %{use_builtin_wxgtk}
(cd wxWidgets-%{wxver}
 aclocal --force -I $PWD/build/aclocal
 autoconf -f
 libtoolize --copy --force
 CFLAGS="%{optflags} -fno-strict-aliasing" \
 CXXFLAGS="%{optflags} -fno-strict-aliasing" \
 ./configure \
   --prefix=$PWD/../%{name}_binlibs \
   --with-gtk=3 \
   --disable-shared \
   --enable-monolithic \
   --with-libpng=sys \
   --with-libjpeg=sys \
   --with-libtiff=sys \
   --with-zlib=sys \
   --with-expat=sys \
   --with-regex=builtin \
   --with-libmspack
 make -j $(nproc)
 make install
)
%endif

%build
%if %{use_builtin_wxgtk}
export PATH=$PWD/%{name}_binlibs/bin:$PATH
%endif

%configure2_5x \
%if %{use_builtin_wxgtk}
    --enable-static-wx --with-wx-version=%{wxvershort} \
%endif
    --enable-unicode \
    --with-ffmpeg=system \
    --disable-dynamic-loading \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-lv2=system \
%ifnarch %ix86 x86_64
    --enable-sse=no \
%endif
    --with-libtwolame=system
%make

%install
rm -rf %buildroot
%make_install

%find_lang %{name}

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/*

#gw work around bug #52526
mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*
%{_datadir}/appdata/audacity.appdata.xml


%changelog
* Sat Jan 06 2018 adrianomorselli <adrianomorselli> 2.2.1-1uplos2018
- update
